
Foreman - Bug #32394

@grub_pass seems deprecated in the default kickstart template

04/22/2021 01:06 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1931316 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8461

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1931316

Description of problem:

We have this in the default kickstart template:

bootloader --location=mbr --append="<%= host_param('bootloader-append') || 'nofb quiet splash=quiet' >" <= @grub_pass %>

According to https://community.theforeman.org/t/grub-pass-ks-console/10610, @grub_pass is defined nowhere and the code is

dead. Thus, we should change the template to use @host.grub_pass so that people can define grub_grass as a host/hg/global

param.

Version-Release number of selected component (if applicable):

6.8

How reproducible:

Easy

Steps to Reproduce:

1. nowhere to define @grub_pass. The only way to change the booloader password is to clone the template. However, in same

cases, people do not want to clone.

Actual results:

Can not define @grub_pass to pass the bootloader password

Expected results:

Can define @grub_pass to pass the password.

Associated revisions

Revision e9a52589 - 04/27/2021 01:50 PM - Oleh Fedorenko

Fixes #32394 - Use grub_pass macro instead of variable

The default Kickstart template uses obsolete @grub_pass variable

which are not being set anywhere. Maybe it's due to typo or else.

I suggest to use macro instead so it's possible to set the password

via host params and do not clone the template for this purpose only.

History

#1 - 04/22/2021 01:07 PM - Oleh Fedorenko

- Category changed from TFTP to Templates
https://bugzilla.redhat.com/show_bug.cgi?id=1931316
https://community.theforeman.org/t/grub-pass-ks-console/10610


- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

- Triaged changed from No to Yes

#2 - 04/22/2021 01:12 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8461 added

#3 - 04/27/2021 01:50 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/27/2021 02:01 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e9a52589e2e45cff807d3e7decb27ae447a0cbea.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e9a52589e2e45cff807d3e7decb27ae447a0cbea
http://www.tcpdf.org

